org.apache.cassandra.hadoop.cql3

## Class CqlConfigHelper

- java.lang.Object
- - org.apache.cassandra.hadoop.cql3.CqlConfigHelper

    public class CqlConfigHelper
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CqlConfigHelper()`

### Method Summary

Methods
`static java.lang.String` `getInputcolumns(org.apache.hadoop.conf.Configuration conf)`
`static java.lang.String` `getInputPageRowSize(org.apache.hadoop.conf.Configuration conf)`
`static java.lang.String` `getInputWhereClauses(org.apache.hadoop.conf.Configuration conf)`
`static java.lang.String` `getOutputCql(org.apache.hadoop.conf.Configuration conf)`
`static void` `setInputColumns(org.apache.hadoop.conf.Configuration conf, java.lang.String columns)` Set the CQL columns for the input of this job.
`static void` `setInputCQLPageRowSize(org.apache.hadoop.conf.Configuration conf, java.lang.String cqlPageRowSize)` Set the CQL query Limit for the input of this job.
`static void` `setInputWhereClauses(org.apache.hadoop.conf.Configuration conf, java.lang.String clauses)` Set the CQL user defined where clauses for the input of this job.
`static void` `setOutputCql(org.apache.hadoop.conf.Configuration conf, java.lang.String cql)` Set the CQL prepared statement for the output of this job.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CqlConfigHelper

    public CqlConfigHelper()

### Method Detail

#### setInputColumns

    public static void setInputColumns(org.apache.hadoop.conf.Configuration conf,
                       java.lang.String columns)

Set the CQL columns for the input of this job.

Parameters:
  `conf` - Job configuration you are about to run
  `columns` -

#### setInputCQLPageRowSize

    public static void setInputCQLPageRowSize(org.apache.hadoop.conf.Configuration conf,
                              java.lang.String cqlPageRowSize)

Set the CQL query Limit for the input of this job.

Parameters:
  `conf` - Job configuration you are about to run
  `cqlPageRowSize` -

#### setInputWhereClauses

    public static void setInputWhereClauses(org.apache.hadoop.conf.Configuration conf,
                            java.lang.String clauses)

Set the CQL user defined where clauses for the input of this job.

Parameters:
  `conf` - Job configuration you are about to run
  `clauses` -

#### setOutputCql

    public static void setOutputCql(org.apache.hadoop.conf.Configuration conf,
                    java.lang.String cql)

Set the CQL prepared statement for the output of this job.

Parameters:
  `conf` - Job configuration you are about to run
  `cql` -

#### getInputcolumns

    public static java.lang.String getInputcolumns(org.apache.hadoop.conf.Configuration conf)

#### getInputPageRowSize

    public static java.lang.String getInputPageRowSize(org.apache.hadoop.conf.Configuration conf)

#### getInputWhereClauses

    public static java.lang.String getInputWhereClauses(org.apache.hadoop.conf.Configuration conf)

#### getOutputCql

    public static java.lang.String getOutputCql(org.apache.hadoop.conf.Configuration conf)